
:root {
  --color-darkblue: #619de0;
  --color-red: #ea0000;
  --color-text-dark-gray: #555555;
}


/* Diverse Sonderzeichen aus dem STIX Math verwenden */
@font-face {
  font-family: 'Noto Serif';
  font-style: normal;
  src: url(./STIXMath-Regular.woff) format('woff');
  unicode-range: U+003C, U+003E, U+0307-0308, U+2100-21FF, U+2200-2211, U+2213-2214, U+2216-2259, U+2261-22FF, U+25B3, U+2B1C-2B21, U+01D400-01D5FF;
  font-display: swap;
}
@font-face {
  font-family: 'Noto Sans';
  font-style: normal;
  src: url(./STIXMath-Regular.woff) format('woff');
  unicode-range: U+003C, U+003E, U+0307-0308, U+2100-21FF, U+2200-2211, U+2213-2214, U+2216-2259, U+2261-22FF, U+25B3, U+2B1C-2B21, U+01D400-01D5FF;
  font-display: swap;
}
@font-face {
  font-family: 'Noto Serif';
  font-style: italic;
  src: url(./STIXMath-Regular.woff) format('woff');
  unicode-range: U+003C, U+003E, U+0307-0308, U+2100-21FF, U+2200-2211, U+2213-2214, U+2216-2259, U+2261-22FF, U+25B3, U+2B1C-2B21, U+01D400-01D5FF;
  font-display: swap;
}
@font-face {
  font-family: 'Noto Sans';
  font-style: italic;
  src: url(./STIXMath-Regular.woff) format('woff');
  unicode-range: U+003C, U+003E, U+0307-0308, U+2100-21FF, U+2200-2211, U+2213-2214, U+2216-2259, U+2261-22FF, U+25B3, U+2B1C-2B21, U+01D400-01D5FF;
  font-display: swap;
}


/* Die Noto Familie Sans und Serif */
@font-face {
  font-family: 'Noto Sans';
  font-style: normal;
  font-weight: 400;
  src: url(./NotoSans.woff) format('woff');
  unicode-range: U+0000-003B, U+003D, U+003F-0306, U+0309-20FF, U+2212, U+2215, U+2260, U+2300-U+25B2, U+25B4-2B1B, U+2B22-01D3FF;
  font-display: swap;
}
@font-face {
  font-family: 'Noto Sans';
  font-style: italic;
  font-weight: 400;
  src: url(./NotoSans-Italic.woff) format('woff');
  unicode-range: U+0000-003B, U+003D, U+003F-0306, U+0309-20FF, U+2212, U+2215, U+2260, U+2300-U+25B2, U+25B4-2B1B, U+2B22-01D3FF;
  font-display: swap;
}
@font-face {
  font-family: 'Noto Sans';
  font-style: normal;
  font-weight: 600;
  src: url(./NotoSans-SemiBold.woff) format('woff');
  unicode-range: U+0000-003B, U+003D, U+003F-0306, U+0309-20FF, U+2212, U+2215, U+2260, U+2300-U+25B2, U+25B4-2B1B, U+2B22-01D3FF;
  font-display: swap;
}
@font-face {
  font-family: 'Noto Sans';
  font-style: italic;
  font-weight: 600;
  src: url(./NotoSans-SemiBoldItalic.woff) format('woff');
  unicode-range: U+0000-003B, U+003D, U+003F-0306, U+0309-20FF, U+2212, U+2215, U+2260, U+2300-U+25B2, U+25B4-2B1B, U+2B22-01D3FF;
  font-display: swap;
}

@font-face {
  font-family: 'Noto Sans';
  font-style: normal;
  font-weight: 700;
  src: url(./NotoSans-Bold.woff) format('woff');
  unicode-range: U+0000-003B, U+003D, U+003F-0306, U+0309-20FF, U+2212, U+2215, U+2260, U+2300-U+25B2, U+25B4-2B1B, U+2B22-01D3FF;
  font-display: swap;
}
@font-face {
  font-family: 'Noto Sans';
  font-style: italic;
  font-weight: 700;
  src: url(./NotoSans-BoldItalic.woff) format('woff');
  unicode-range: U+0000-003B, U+003D, U+003F-0306, U+0309-20FF, U+2212, U+2215, U+2260, U+2300-U+25B2, U+25B4-2B1B, U+2B22-01D3FF;
  font-display: swap;
}

@font-face {
  font-family: 'Noto Serif';
  font-style: normal;
  font-weight: 400;
  src: url(./UPuCSNotoSerif.woff) format('woff');
  unicode-range: U+0000-003B, U+003D, U+003F-0306, U+0309-20FF, U+2212, U+2215, U+2260, U+2300-U+25B2, U+25B4-2B1B, U+2B22-01D3FF;
  font-display: swap;
}
@font-face {
  font-family: 'Noto Serif';
  font-style: italic;
  font-weight: 400;
  src: url(./NotoSerif-Italic.woff) format('woff');
  unicode-range: U+0000-003B, U+003D, U+003F-0306, U+0309-20FF, U+2212, U+2215, U+2260, U+2300-U+25B2, U+25B4-2B1B, U+2B22-01D3FF;
  font-display: swap;
}
@font-face {
  font-family: 'Noto Serif';
  font-style: normal;
  font-weight: 600;
  src: url(./NotoSerif-SemiBold.woff) format('woff');
  unicode-range: U+0000-003B, U+003D, U+003F-0306, U+0309-20FF, U+2212, U+2215, U+2260, U+2300-U+25B2, U+25B4-2B1B, U+2B22-01D3FF;
  font-display: swap;
}
@font-face {
  font-family: 'Noto Serif';
  font-style: italic;
  font-weight: 600;
  src: url(./NotoSerif-SemiBoldItalic.woff) format('woff');
  unicode-range: U+0000-003B, U+003D, U+003F-0306, U+0309-20FF, U+2212, U+2215, U+2260, U+2300-U+25B2, U+25B4-2B1B, U+2B22-01D3FF;
  font-display: swap;
}
@font-face {
  font-family: 'Noto Serif';
  font-style: normal;
  font-weight: 700;
  src: url(./UPuCSNotoSerif-Bold.woff) format('woff');
  unicode-range: U+0000-003B, U+003D, U+003F-0306, U+0309-20FF, U+2212, U+2215, U+2260, U+2300-U+25B2, U+25B4-2B1B, U+2B22-01D3FF;
  font-display: swap;
}
@font-face {
  font-family: 'Noto Serif';
  font-style: italic;
  font-weight: 700;
  src: url(./NotoSerif-BoldItalic.woff) format('woff');
  unicode-range: U+0000-003B, U+003D, U+003F-0306, U+0309-20FF, U+2212, U+2215, U+2260, U+2300-U+25B2, U+25B4-2B1B, U+2B22-01D3FF;
  font-display: swap;
}

/* Inconsolata */
@font-face {
  font-family: 'Inconsolata';
  font-style: normal;
  font-weight: 400;
  src: url(./Inconsolata.woff) format('woff');
  font-display: swap;
}
@font-face {
  font-family: 'Inconsolata';
  font-style: normal;
  font-weight: 700;
  src: url(./Inconsolata-Bold.woff) format('woff');
  font-display: swap;
}

/* STIX Math */
@font-face {
  font-family: 'UPuCS STIX Math';
  font-style: normal;
  font-weight: 400;
  src: url(./STIXMath-Regular.woff) format('woff');
  unicode-range: U+000020-01dfff;
  font-display: swap;
}


 
 
.upucsStixMath {
	font-family: "UPuCS STIX Math";
	font-weight: 400;
	font-style: normal;
    font-size: 1.15em;
    line-height: 1;
    vertical-align: baseline;
}



.upucs-body, .upucs-header, .upucs-main, .upucs-footer {
	font-family: inherit;
	font-size: inherit;
	font-style: inherit;
	font-weight: inherit;
}


/* 
.upucs-html span, 
.upucs-html a, 
.upucs-html sub, 
.upucs-html sup, 
.upucs-html big, 
.upucs-html acronym, 
.upucs-html address, 
*/
 
 /* zu prüfen
.upucs-html div, 
.upucs-html applet, 
.upucs-html object, 
.upucs-html iframe, 
.upucs-html p, 
.upucs-html blockquote, 
.upucs-html pre, 
.upucs-html abbr, 
.upucs-html cite, 
.upucs-html code, 
.upucs-html del, 
.upucs-html dfn, 
.upucs-html em, 
.upucs-html font, 
.upucs-html ins, 
.upucs-html kbd, 
.upucs-html q, 
.upucs-html s, 
.upucs-html samp, 
.upucs-html small, 
.upucs-html strike, 
.upucs-html strong, 
.upucs-html tt, 
.upucs-html var, 
.upucs-html dl, 
.upucs-html dt, 
.upucs-html dd, 
.upucs-html ol, 
.upucs-html ul, 
.upucs-html li, 
.upucs-html fieldset, 
.upucs-html form, 
.upucs-html label, 
.upucs-html legend, 
.upucs-html table, 
.upucs-html caption, 
.upucs-html tbody, 
.upucs-html tfoot, 
.upucs-html thead, 
.upucs-html tr, 
.upucs-html th, 
.upucs-html td, 
.upucs-html math, 
.upucs-html select, 
.upucs-html option, 
.upucs-html textarea {
	font-family: inherit;
	font-size: inherit;
	font-style: inherit;
	font-weight: inherit;
}
*/

.upucs-html h1, 
.upucs-html h2, 
.upucs-html h3, 
.upucs-html h4, 
.upucs-html h5, 
.upucs-html h6, 
.upucs-html button, 
.upucs-html input {
	font-family: inherit;
	font-size: inherit;
	font-style: inherit;
	font-weight: inherit;
} 


/*
.upucs-html div, 
.upucs-html figure {
	border: 0;
	margin: 0;
	outline: 0;
	padding: 0;
	vertical-align: baseline;
}
*/

.upucs-html *,
.upucs-html *:before,
.upucs-html *:after {
	-webkit-box-sizing: inherit;
	-moz-box-sizing: inherit;
	box-sizing: inherit;
}

/*
.upucs-html article,
.upucs-html aside,
.upucs-html details,
.upucs-html figcaption,
.upucs-html figure,
.upucs-html nav,
.upucs-html section {
	display: block;
}

*/




/* Hier geht's los */



/* loggedin/notloggedin  */


.upucsRole_Admin,
.upucsRole_HomepageAdmin,
.upucsLoggedIn {
	display: none !important; 
}


body.upucsHasRole_Admin .upucsRole_Admin,
body.upucsHasRole_HomepageAdmin .upucsRole_HomepageAdmin,
body.upucsIsLoggedIn .upucsLoggedIn {
	display: block !important; 
}

body.upucsIsLoggedIn .upucsNotLoggedIn {
	display: none !important;
}




/* Formatierung Layout-Frames */

.upucs-html {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
/*	overflow-y: auto;   verhindert sticky menuzeile in LateinLexLight */
	-webkit-text-size-adjust: 100%;
	-ms-text-size-adjust: 100%; 
}



html.upucs-html, .upucs-body {
	margin: 0;
	height: 100%;
/*	padding: 0;
	vertical-align: baseline; */
}


.upucs-frame {
/*	border: 3px dotted red; */
	position: relative;
	padding: 1em;
}

@media ( max-width : 800px) {

.upucs-frame {
	padding: 1em .5em;
}

}


.upucs-splitwindow2-nav.upucs-frame {
    padding: .5em;
}

#upucs-frame-content {
/*	border: 1px solid black;  */
}

main.upucs-main {
/*    padding-left: 1em;
    padding-right: 1em;
    top: 7em;
    bottom: 4em;
    position: absolute; */
/*    border: 1px solid purple; */
    overflow: auto;
} 

@media ( min-width : 800px) {
	main.upucs-main {
		left: 25%;
	}	
}

main.upucs-main:focus {
	outline: none;
}


.upucs-frame-page {
	width: 75%;
}

div.upucs-frame-page > div {
/*    border: solid 2px #3070b3 ; */
    max-height: inherit;
    overflow: auto;
    padding: 3px;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}





.upucs-pagenavigation nav ul,
.upucs-frame nav ul  {
	list-style: none;
}

.upucs-frame nav ul,
.upucs-frame nav p,
.upucs-frame nav h1,
.upucs-frame nav h2,
.upucs-frame nav li
{
	margin: 0;
	padding: 0;
	vertical-align: baseline;
}



body.upucs-body {
    font-family: "Noto Sans", sans-serif ;
    font-size: 1em ;
}

header.upucs-header nav li,
header.upucs-header nav a:link,
header.upucs-header nav a,
footer.upucs-footer nav a:link,
footer.upucs-footer nav a {
	text-decoration: none;
	color: #ffffff;
}

div.upucs-widget-docnav a,
div.upucs-widget-docnav a:link,
div.upucs-widget-docpos a,
div.upucs-widget-docpos a:link,
div.upucs-widget-contentlist nav a,
div.upucs-widget-contentlist nav a:link,
.upucs-pagenavigation nav a,
.upucs-pagenavigation nav a:link {
	text-decoration: none;
    color: #000000 ;
}







div.upucs-header-menu,
div.upucs-footer-menu {
background: #73aece; /* Old browsers */
background: -moz-linear-gradient(left, #73aece 49%, #3070b3 98%); /* FF3.6-15 */
background: -webkit-linear-gradient(left, #73aece 49%,#3070b3 98%); /* Chrome10-25,Safari5.1-6 */
background: linear-gradient(to right, #73aece 49%,#3070b3 98%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#73aece', endColorstr='#3070b3',GradientType=1 ); /* IE6-9 */
}




div.upucs-footer-menu {
    border-top: solid 3px #ffffff ;
    padding: .5em 1em .5em 1em ;
    font-size: .75em ;
}



/* Layout docnav und docpos */

div.upucs-widget-docpos {
/*   padding-left: 1em;
    padding-right: 1em; */
	padding-bottom: .5em;
	padding-top: 0;
    min-height: 4em;
/*    max-height: 5em; */
    overflow: auto;
}

div.upucs-widget-docnav {
    padding-left: 1em;
    padding-right: 1em;
    min-height: 3em;
    max-height: 3em;
    overflow: auto;
}


div.upucs-widget-docnav p {
    padding: 0;
    margin: 0;
    font-size: .8em;
}


div.upucs-widget-docpos h6 {
    padding: 0 1em 0 1em;
    margin: .4em 0 .45em 0;
    font-size: .8em;
}

.viewportSmall div.upucs-widget-docpos h6 {
    padding: 0 .5em 0 .5em;
}


.upucs-widget-docpos h6 a {
	display: inline-block;
}

div.upucs-widget-docpos h6:first-child {
	padding-left: 0em;
}

div.upucs-widget-docpos h6:last-child {
	padding-right: 0em;
}

div.upucs-widget-docpos > div:first-child p {
    padding: 0;
    margin: .4em 0 .45em 0;
    font-size: .8em;
}


div.upucs-widget-docpos > div:first-child {
  	border-bottom: 1px solid #3070b3;
  	padding-bottom: 0;
  	padding-top: 0;
  	top: 0;
	left: 1em;
	right: 1em;
}



div.upucs-widget-docnav > div {
  	border-top: 1px solid #3070b3;
  	padding-bottom: 0;
  	padding-top: 0;
	bottom: 0;
	left: 1em;
	right: 1em;
	position: absolute;
}

@media ( max-width : 800px) {

div.upucs-widget-docnav > div {
	left: .5em;
	right: .5em;
}

}


div.upucs-widget-docnav > div > p {
	margin-bottom: .4em;
	margin-top: .45em;
}

div.upucs-widget-docnav > div > p:last-child {
	margin-left: auto;
}
    
div.upucs-widget-docnav > div, 
div.upucs-widget-docpos > div:first-child {
  	display: -webkit-flex;
  	-webkit-flex-direction: row;
  	-webkit-flex-wrap: auto;
	display: flex;
  	flex-direction: row;
  	flex-wrap: wrap;
}

div.upucs-widget-docpos > div:first-child {
    -webkit-justify-content: flex-start;
	justify-content: flex-start;
}









/* Layout content list */


.upucs-html .upucs-splitwindow2 .upucs-splitwindow2-nav {
    display: inherit;
}

.navWinHidden .upucs-splitwindow2 .upucs-splitwindow2-nav {
    display: none;
}




div.upucs-widget-contentlist {
/*	border: 10px solid yellow; */
	position: relative;
	width: 25%;
}


div.upucs-widget-contentlist > div {
    border: solid 2px #3070b3 ;
    max-height: inherit;
    overflow: auto;
    padding: 3px;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

div.upucs-widget-contentlist nav {
    font-size: .8em;
}

.upucs-pagenavigation {
	margin-top: 3em;
    border-top: 1px solid #3070b3;
}

article .upucs-content:empty + .upucs-pagenavigation {
    border-top: none;
}

.upucs-pagenavigation nav {
    font-family: "Noto Sans", sans-serif ;
}

.upucs-pagenavigation nav p,
div.upucs-widget-contentlist p {
	margin-left: 1em;
	margin-right: 1em;
	font-weight: 700;
	border-bottom: 1px solid #3070b3;
	padding-bottom: .25em;
	padding-top: .25em;
	margin-bottom: .25em;
}


.upucs-pagenavigation nav li span.upucs-state-item-marker,
div.upucs-widget-contentlist li span.upucs-state-item-marker {
	margin-left: -1em;
	width: 1em;
	font-size: 1.1em;
    display: inline-block;
}
					
.upucs-state-item-marker {
	cursor: pointer;
    color: #888888;
}					
							

.upucs-pagenavigation nav li {
	padding-left: 1em;
}

div.upucs-widget-contentlist li {
	padding-left: 1em;
}


div.upucs-widget-contentlist li li {
	padding-left: 1.5em;
}
	
.upucs-pagenavigation nav ul.upucs-state-block,
div.upucs-widget-contentlist ul.upucs-state-block {
	padding-left: 0;
}

.upucs-pagenavigation nav ul li,
div.upucs-widget-contentlist ul li {
	padding-top: .5em;
}

.upucs-pagenavigation nav ul li li,
div.upucs-widget-contentlist ul li li {
	padding-top: .1em;
}

div.upucs-widget-contentlist li.upucs-current-page-item > a {
	font-weight: 700;
}


div.upucs-widget-contentlist ul li a > span.upucs-tocentry {
	display: table-row;
}

div.upucs-widget-contentlist ul li a > span.upucs-tocentry > span:first-child {
	width: 2em;
	text-align: right;
	white-space: nowrap;
}

div.upucs-widget-contentlist ul li a > span.upucs-tocentry > span.roem:first-child {
	width: 3em;
	text-align: right;
	white-space: nowrap;
}


div.upucs-widget-contentlist ul li a > span.upucs-tocentry > span {
	display: table-cell;
}




/* Formatierung header menu */

div.upucs-header-menu nav ul.upucs-mainmenu {
  	display: -webkit-flex;
	-webkit-flex-direction: row;
	-webkit-justify-content: flex-start;
	display: flex;
	justify-content: flex-start;
  	flex-direction: row;
    flex-flow: wrap;
}    
    


div.upucs-header-menu nav ul.upucs-mainmenu > li {
    margin: .3em .75em .3em .75em ;
	margin-top: auto;
    margin-bottom: auto;
}

div.upucs-header-menu nav ul.upucs-mainmenu > li button{
	margin-left: 0;
}


.upucs-mainmenu > li > span.optionalTextExt {
	margin-top: auto;
    margin-bottom: auto;
    padding-left: .25em;
}


li.submenuopen ul.upucs-submenu {
	display: block
}

ul.upucs-submenu {
    display: none;
	background: #73aece;
    position: absolute;
    z-index: 100; 
}


ul.upucs-submenu > li {
	padding: .5em 1em .5em 1em;
	border-top: 2px solid white;	
	border-bottom: 2px solid white;	
	border-left: 3px solid white;	
	border-right: 3px solid white;	
	box-shadow: 5px 5px #73aece;
}

.viewportSmall .upucs-mainmenu .upucs-hassubmenu:last-child {
	padding-left: .1em;
}

.upucs-mainmenu .upucs-hassubmenu:last-child {
    margin-left: auto !important;
    padding-left: 1em;
}
.upucs-mainmenu .upucs-hassubmenu:last-child > ul {
    right: .5em;
}
.upucs-mainmenu li[href] {
    cursor: pointer;
}

.viewportSmall div.upucs-header-menu nav ul.upucs-mainmenu > li {
	margin-left: .4em;
    margin-right: .4em;
}

	



/* Formatierung footer menu */

div.upucs-footer-menu nav ul {
  	display: -webkit-flex;
	-webkit-flex-direction: row;
  	-webkit-justify-content: flex-end;
	display: flex;
	flex-direction: row;
  	justify-content: flex-end;
}

div.upucs-footer-menu nav li {
    margin: 0 1em 0 1em ;
}

div.upucs-footer-menu nav li:last-of-type {
    margin: 0 0 0 1em ;
}





/* Menue in DialogBox */

.upucs-dialog-text .upucs-menu {
    border: 1px solid black;
    padding: 0;
    list-style: none;
}

.upucs-dialog-text .upucs-menu li:hover {
    background: lightgrey;
    cursor: pointer;
}

.upucs-dialog-text .upucs-menu li:not(:first-child) {
    border-top: 1px solid;
}
    
.upucs-dialog-text .upucs-menu li {
    padding: .5em;
}


/* DialogBox */



.upucs-dialog-overlay {
    background: black;
    opacity: .35;
}

.upucs-dialog {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1999;
    align-items: center;
    display: flex;
    justify-content: center;    
}

.upucs-error-dialog {
    z-index: 2001 !important;
}

.upucs-dialog > div {
    max-width: 75%;
    min-width: 20em;
	width: 35em;
    border: 1px solid black;
    max-height: 95%;
    min-height: 10em;
    background: #ffffff;
    box-shadow: .25em .25em var(--color-darkblue);
    border-radius: 4px;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    padding: 2px;
}

.upucs-dialog.upucs-error-dialog > div {
    border: 1px solid var(--color-red);
    box-shadow: .25em .25em var(--color-red);
}


.upucs-dialog > div > .upucs-dialog-title {
    padding: .5em 1em .5em 1em;
    border-bottom: 1px solid black;
    margin-bottom: 1em;
    background: #dddddd; 
    border-radius: 3px 3px 0 0;
}

.upucs-dialog > div > .upucs-dialog-title > p {
    margin: 0;
    line-height: 1;
    font-weight: bold;
}

.upucs-dialog > div > .upucs-dialog-text {
    padding-left: 1em;
    padding-right: 1em;
    overflow-y: auto;    
    overflow-x: auto;    
    min-height: 5em;
    flex-grow: 1;
}

.upucs-dialog > div > .upucs-dialog-button {
    padding-top: .5em;
    margin: .5em 1em .75em 1em;
    display: flex;
    justify-content: flex-end;    
}


.upucs-dialog .DragAndDrop {
    padding: 1em;
    border: 2px dashed var(--color-text-dark-gray);
    border-radius: 5px;
}

.upucs-dialog .DragAndDrop .FileSelectFileName {
    margin-bottom: 3em;
}

.upucs-dialog .DragAndDrop .FileSelectFileName span:before {
  content: "Keine Datei ausgew\00E4hlt";
  color: var(--color-text-dark-gray);
}


.upucs-dialog .DragAndDrop .dragAndDropSpan {
	display: inline-block;
	position: relative;
	top: -5px;
	padding-left: 1em;
   color: var(--color-text-dark-gray);
}


.upucs-dialog .progress-wrp {
  border: 1px solid var(--color-darkblue);
  padding: 1px;
  position: relative;
  height: 30px;
  border-radius: 3px;
  margin: 10px;
  text-align: left;
  background: #fff;
  box-shadow: inset 1px 3px 6px rgba(0, 0, 0, 0.12);
}

.upucs-dialog .progress-wrp .progress-bar {
  height: 100%;
  border-radius: 3px;
  background-color: var(--color-darkblue);
  width: 0;
  box-shadow: inset 1px 1px 10px rgba(0, 0, 0, 0.11);
}

.upucs-dialog .progress-wrp .status {
  top: 3px;
  left: 50%;
  position: absolute;
  display: inline-block;
  color: #000000;
}



.ui-widget {
 	font-family: inherit;
	font-size: 1em;
}

.ui-menu {
	margin-top: 1px;
}
	


.ui-dialog { z-index: 2000 !important ;}


.no-close .ui-dialog-titlebar-close {
  display: none;
}

div#upucs-errorbox,
div#upucs-fullscreenbox,
div#upucs-dialog {
	display: none;
}

.ui-dialog {
	box-shadow: .25em .25em #73aece;
}

.ui-dialog ul.upucs-menu {
	margin-top: 1em;
	margin-bottom: 1em;
} 


p.upucs-dlg-row {
	padding: .75em 0 .5em 0;
	margin: 0;
	line-height: 1;
	font-size: .9em;
}

p.upucs-dlg-row0 {
	padding: 0 0 .5em 0;
}


p.upucs-dlg-row label {
	width: 100%;
	display: inline;
}

p.upucs-dlg-row input,
p.upucs-dlg-row select {
	font-size: 1.1em;
	width: 100%;
	margin-top: .5em;
	font-family: inherit;
}


p.upucs-dlg-row input[type="checkbox"], p.upucs-dlg-row input[type="radio"] {
	display: none;
}

p.upucs-dlg-row input[type="checkbox"] + span:before,
p.upucs-dlg-row input[type="radio"]    + span:before {
    content: "\2610";
    font-size: 1.5em;
    line-height: 1;
    color: #aaa;
    padding-right: .3em
}
p.upucs-dlg-row input[type="checkbox"]:checked + span:before,
p.upucs-dlg-row input[type="radio"]:checked + span:before {
    content: "\2611";
    color: #333;
}


p.upucs-dlg-row input.upucs-dlg-radio {
	width: 2em;
	font-size: 1.2em;
}

div.upucs-fullscreenbox {
	border-bottom: 10px solid black;
	background: green;
}


div.upucs-fullscreenbox object.fixsize {
	width: 100%;
	height: 100%;
}

div.upucs-fullscreenbox object.autosize {
	max-width: 100%;
	width: auto;
	height: auto;
}






article.upucs-article-ref {
	width: 100%;
}

.upucs-html article  {
//	align: center;
    margin: auto ;
}



article object.upucs-contentref {
	width: 100%;
	height: 100%;
}



/* Puc-List */

article.upucs-puclist h1 {
	font-size: 1.25em;
	font-weight: bold;
	border-bottom: 1px solid black;
	margin-bottom: 3em;
	padding-bottom: .5em;
}

article.upucs-puclist p {
	padding-bottom: .5em;
}

article.upucs-puclist a, 
article.upucs-puclist a:link {
	text-decoration: none;
    color: #000000 ;
}





.fullscreendialog {
    position: fixed;
}

.fullscreendialog textarea {
	width: 100%;
	height: 100%;
	border: none;
	padding-right: 1em;
	margin-top: .5em;
	font-family: Inconsolata;
	line-height: 1.25;
}




/* TabDialog */


.upucsTabDialog {
	display: none;
	width: 100%;
	height: 100%;
	padding: .5em;
    z-index: 1000;
    background: #ffffff; 
    position: fixed;
    top: 0;
    left: 0;
/*    border: 10px solid yellow; */
}

.upucsTabDialog > div {
	height: 100%;
/*	border: 1px solid red; */
}

.upucsTabDialogButtonPane {
	padding-right: 1em;
	overflow: initial !important;
}


/*
.upucsTabDialogMain {
	border: 5px solid green !important;
}
*/

.upucsTabDialogText {
	background: #ffffff;
}

div.upucsMonoSpaced {               /* div.* muss unbedingt bleiben, damit Selektor gegen ace_editor gewinnt */               
	font-family: Inconsolata;
	line-height: 1.25;
	font-size: inherit;
}

div.upucsLaTeXEditor {               /* div.* muss unbedingt bleiben, damit Selektor gegen ace_editor gewinnt */               
	font-family: "Noto Serif";
	line-height: 1.7;
	font-size: inherit;
}


.upucsMaximized {
/*	border: 1px solid darkred;  */
	position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    overflow: auto;
}


.upucsTabDialogTextActive {
	z-index: 10 !important; /* mindestens 7 wegen ACE */
}

.upucsTabDialogLabel {
	font-size: .9em;
	border: 1px solid #aaaaaa;
	background: #eeeeee; 
	border-radius: .25em .25em 0 0; 
	border-bottom: none; 
    padding: 5px .5em 5px .5em;	
	display: inline-block;
}

.upucsTabDialogLabel:hover {
	border: 1px solid #000000;
	border-bottom: none; 
	background: #dddddd; 
}


.upucsTabDialogLabelActive {
	background: #ffffff !important; 
	border: 1px solid #aaaaaa !important;
	border-bottom: none !important; 
}

.upucsTabDialogLabel {
	cursor: pointer; 
}


.upucsTabDialogHeader {
	padding-bottom: 1em;
}

.upucsTabDialogHeaderList {
	border-bottom: 1px solid #aaaaaa;
	margin-top: .5em;
	margin-bottom: 0;
	padding: 0;
}


.upucsTabDialogHeader > * {
	margin-right: .5em;
}

.upucsTabDialogHeader .resview-label-mimetype { font-size: .75em; padding-left: 1em; }



/* TabBox */


.upucsTabBox {
	display: none;
	width: 100%;
	height: 100%;
	padding: .5em;
    z-index: 999;
    background: #ffffff; 
    position: fixed;
    top: 0;
    left: 0;
/*    border: 10px solid yellow; */
}

.upucsTabBox > div {
	height: 100%;
/*	border: 1px solid red; */
}


.upucsTabBoxText {
	background: #ffffff;
}


.upucsTabBoxTextActive {
	z-index: 9 !important; /* mindestens 7 wegen ACE */
}

.upucsTabBoxLabel {
	font-size: .9em;
	border: 1px solid #aaaaaa;
	background: #eeeeee; 
	border-radius: .25em .25em 0 0; 
	border-bottom: none; 
    padding: 5px .5em 5px .5em;	
	display: inline-block;
}

.upucsTabBoxLabel:hover {
	border: 1px solid #000000;
	border-bottom: none; 
	background: #dddddd; 
}


.upucsTabBoxLabelActive {
	background: #ffffff !important; 
	border: 1px solid #aaaaaa !important;
	border-bottom: none !important; 
}

.upucsTabBoxLabel {
	cursor: pointer; 
}


.upucsTabBoxHeader {
	padding-bottom: 1em;
}

.upucsTabBoxHeaderList {
	border-bottom: 1px solid #aaaaaa;
	margin-top: .5em;
	margin-bottom: 0;
	padding: 0;
}


.upucsTabBoxHeader > * {
	margin-right: .5em;
}



/* fuer objecte ohne feste Breite/Hoehe */


.upucsTabDialogText .fixsize {
	width: 100%;
	height: 100%;
	position: absolute;
}

/* fuer objecte mit breite/Hoehe (bitmap, svg) */
.upucsTabDialogText .autosize {
	top: 0;
	left: 0;
	max-width: 100%;
	width: auto;
	height: auto;
	position: absolute;
}


.upucsRun {
	overflow: initial !important;
}


.upucsRunDiv {
	margin: 0;
	padding: 0;
	height: 100%;
}


.upucsRunDiv pre {
	font-family: "Inconsolata";
	font-size: .9em;
	line-height: 1.4;
}

.upucsRunError {
	color: #ff0000;
	font-weight: bold;
}

.upucsCompileError {
	background: #ffe0e0;	
}

.upucsRunErrorText {
	border: 2px solid red;
	padding: .5em;
	margin-bottom: 1em;
}




/* SplitWindow */

.upucs-splitwindow {
	display: none;
	overflow-x: hidden !important;
}

.upucs-splitwindow-spacer {
	max-width: 26px;
	min-width: 26px;
/*  background: #eeeeee; */
    cursor: e-resize; 
    padding: 0;
    position: relative;
}


.upucs-splitwindow-spacer-menu {
/*	border: 1px solid darkblue; */ 
	margin-top: .5em;
}


.upucs-splitwindow-spacer-menu > :first-child {
	display: block;
}


.upucs-splitwindow-spacer-menu > * {
	display: none;
}

.upucs-splitwindow-spacer-menu:hover > * {
	display: block; /* show the submenu */
}

.upucs-splitwindow-spacer-menu:hover {
	cursor: default;
}

.upucs-splitwindow-spacer-button {
	border: 1px solid #888888;
	border-radius: 3px;
	cursor: pointer;
	background: #eeeeee;
	margin: 0 0 5px 0;
	padding: 2px 0 2px 0;
	min-width: 26px;
	max-width: 26px;
	max-height: 28px;
	vertical-align: baseline;
}

.upucs-splitwindow-spacer-button:hover {
	border: 1px solid #000000 !important;
	background: #dddddd !important;
}


.upucs-splitwindow-spacer-icon {
	cursor: default;
	background: #ffffff;
	margin: 0 0 5px 0;
	text-align: center;
	min-width: 26px;
	max-width: 26px;
	position: relative;
}


.upucs-splitwindow-left {
/*	border: 1px solid darkblue; */
	min-width: 100px;
	position: relative;
}

.upucs-splitwindow-right {
/*	border: 1px solid darkblue; */
	min-width: 100px; 
	position: relative;
}




/* collection view */


.upucsCollectionLastFiles {
	margin: 0;
	padding: 0;	
	list-style: none;
}

.upucsCollectionLastFiles > li {
	margin: 0 0 .5em 0;
	padding: 0;	
}


.upucsLastFileItem .upucsLastFileItemName {
	min-width: 15em;
	padding-right: 2em;
	padding-left: 1.2em;
	display: inline-block;
}

.upucsLastFileItem .upucsLastFileItemPath {
	min-width: 20em;
	padding-right: 2em;
	font-size: .9em;
	display: inline-block;
}

.upucsLastFileItem .upucsLastFileItemType {
	font-size: .7em;
	display: inline-block;
}




/* object inspector */


input.objinspector-changed {
	border: 2px solid green;
}	
div.objinspector-section     { margin-bottom: 3em; }
div.objinspector-section h6  { font-size: .8em; font-weight: 700; padding: .25em 0 .25em 0em; margin: 0; margin-bottom: .5em; border-bottom: 1px solid black; }

div.objinspector-aktobject > p     { display: table; margin-top: 0; margin-bottom: 0; }


.objinspector-list { display: table; width: 100%; }
.objinspector-list p { display: table-row; }

div.objinspector-aktobject > p > span    { display: table-cell; padding: .25em .5em .25em .5em; }
.objinspector-list p > span 			 { display: table-cell; padding: .25em .5em .25em .5em; }
.objinspector-list input				 { display: inline; padding: .25em; width: 100%; }

.objinspector-list span.objinspector-field { padding-left: 4.5em; white-space: nowrap; }    
.objinspector-list span.objinspector-metakey { min-width: 12em; }    
.objinspector-list span.objinspector-metaval { min-width: 12em; width: 100%; }    
    
div.objinspector-aktobject > p > span,
.objinspector-list p > span { min-width: 4em; white-space: nowrap; }

div.objinspector-aktobject > p > span.objinspector-id,
.objinspector-list p > span.objinspector-id,
.objinspector-list p > span.objinspector-resid { text-align: right; }
			                	 
div.objinspector-metalist div.objinspector-list > p > span.objinspector-metakey { padding-left: 4.5em; width: 22em; }    


.objinspector-list span.objinspector-resmimetype { font-size: .75em; min-width: 12em; }
.objinspector-list span.objinspector-resname { min-width: 12em; width: 100%; }

div.objinspector a:link,
div.objinspector a {
	text-decoration: none;
	color: #000000;
}

span#objinspector-fileuploader { display: table-cell; }

div.objinspector span.objinspector-displayname {
	width: 100%;
	white-space: normal;
}



/* Flex */

/* div {
	border: 1px dotted red;
	padding: .5em;
} */

.upucsFlexRow {
  	display: -webkit-flex;
	-webkit-flex-direction: row;
	display: flex; 
	flex-direction: row;
}

.upucsFlexWrap {
  	-webkit-flex-wrap: auto;
  	flex-wrap: wrap;
}


.upucsFlexRowItemFix {
	-webkit-flex: 0 1 auto; 
	flex: 0 0 auto; 
	white-space: nowrap;
	overflow: auto;
	position: relative;
}

.upucsFlexRowItemGrow {
	-webkit-flex: 1 1 auto; 
	flex: 1 1 auto; 
	overflow: auto;
	position: relative;
}

.upucsFlexCol {
  	display: -webkit-flex;
	-webkit-flex-direction: column;
	display: flex; 
	flex-direction: column;
}

.upucsFlexColItemFix {
	-webkit-flex: 0 0 auto;	
	flex: 0 0 auto; 
	overflow: auto;
	position: relative;
}

.upucsFlexColItemFixNoOverflow {
	-webkit-flex: 0 0 auto;	
	flex: 0 0 auto; 
	position: relative;
}



.upucsFlexColItemGrow {
	-webkit-flex: 1 1 auto;	
	flex: 1 1 auto; 
	overflow: auto;
	position: relative;
}

.upucsFlexColItemGrow2 {
	-webkit-flex: 1 1 auto;	
	flex: 1 1 auto; 
	overflow: auto;
}


.upucsFlexItemScrollY {
	padding: 0 1em 0 0;
}

.upucsFlexItemScrollYRelative {
	padding: 0 1em 0 0;
	position: relative;
}




.upucsDialogHeader {
	border-bottom: 1px solid black;
	margin-top: .5em;
	margin-bottom: 0em;
}

.upucsDialogLabel {
	font-size: .9em;
	border: 1px solid black;
	background: #eeeeee; 
	border-radius: .25em .25em 0 0; 
	border-bottom: none; 
    padding: 5px .5em 5px .5em;	
	display: inline-block;
}


/* Dialog: Buttons  */

.upucsButtonVertical {
	margin-top: .25em;
}

.upucsButtonHorizontal {
	margin-right: .5em;
}

.upucsButtonNoBorder {
	display: inline;
	padding-top: 0;
	vertical-align: baseline;
	margin-left: .5em;
	padding: 1px;
	position: relative;
	text-align: left;
	cursor: pointer;
	line-height: 1;
}

.upucsButtonNoBorder:hover,
.upucsButtonNoBorder:focus {
	background: #d0d0d0;
	outline: none;
}

.upucsButtonNoBorder::-moz-focus-inner {
  border: 0;
}


.upucsButton {
	display: inline;
	padding-top: 0;
	vertical-align: baseline;
	margin-left: .5em;
	padding: 1px;
	position: relative;
	text-align: left;
	cursor: pointer;
	background: #eeeeee;
	border: 1px solid #808080;
	border-radius: 3px;
	line-height: 1;
}


.upucsButton:hover, .upucsButton:focus {
	border: 1px solid #000000;
	background: #d0d0d0;
	outline: none;
}

.upucsButton::-moz-focus-inner {
  border: 0;
}


.upucsButtonDisabled:after {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    opacity: 0.7;
    background: #eeeeee;
    cursor: default;
    content: "";	
}

.upucsButtonDisabled:hover {
	border: 1px solid #aaaaaa;
	background: #eeeeee;
}


.upucsButtonText {
	display: inline-block; 
	position: relative;
	bottom: 3px;
	margin-left: .25em;
	margin-right: .25em;
}


.upucsButtonText2 {
	height: 24px;
	vertical-align: bottom;
	display: inline-block;
	position: relative;
	top: 5px;
	padding: 0 .25em 0 .25em;
	font-size: 14px;
}

/* Dialog: Button-Icons */

.upucsIcon {
    width: 24px;
    height: 24px; 
	display: inline-block;
	vertical-align: bottom;
    background-size: contain;
}

.viewportSmall .upucs-mainmenu .upucsIcon {
    width: 28px;
    height: 28px; 
}

.upucsIconLight {
    width: 20px;
    height: 20px; 
	display: inline-block;
	vertical-align: bottom;
    background-size: contain;
}

.upucsIconSmall {
    width: 14px;
    height: 14px; 
	display: inline-block;
	vertical-align: bottom;
    background-size: contain;
}

.upucsIconLarge {
    width: 36px;
    height: 36px; 
	display: inline-block;
	vertical-align: bottom;
    background-size: contain;
}

.upucsIconDocument {
    background-image: url(../img/upucsIconDocument.svg);
}

.upucsIconBook {
    background-image: url(../img/upucsIconBook.svg);
}

.upucsIconCheck {
    background-image: url(../img/upucsIconCheck.svg);
}

.upucsIconClose {
    background-image: url(../img/upucsIconClose.svg);
}

.upucsIconDisk {
    background-image: url(../img/upucsIconDisk.svg);
}

.upucsIconTrash {
    background-image: url(../img/upucsIconTrash.svg);
}

.upucsIconDocumentadd {
    background-image: url(../img/upucsIconDocumentadd.svg);
}

.upucsIconDocumentwrite {
    background-image: url(../img/upucsIconDocumentwrite.svg);
}

.upucsIconSave {
    background-image: url(../img/upucsIconSave.svg);
}

.upucsIconFolderOpen {
    background-image: url(../img/upucsIconFolderOpen.svg);
}

.upucsIconFolderClose {
    background-image: url(../img/upucsIconFolderClose.svg);
}

.upucsIconDocumentClose {
    background-image: url(../img/upucsIconDocumentClose.svg);
}


.upucsIconBold {
    background-image: url(../img/upucsIconBold.svg);
}

.upucsIconItalic {
    background-image: url(../img/upucsIconItalic.svg);
}

.upucsIconUnderline {
    background-image: url(../img/upucsIconUnderline.svg);
}

.upucsIconStrike {
    background-image: url(../img/upucsIconStrike.svg);
}

.upucsIconCharacter {
    background-image: url(../img/upucsIconCharacter.svg);
}

.upucsIconUnicode {
    background-image: url(../img/upucsIconUnicode.svg);
}


.upucsIconUndo {
    background-image: url(../img/upucsIconUndo.svg);
}

.upucsIconRedo {
    background-image: url(../img/upucsIconRedo.svg);
}

.upucsIconCopy {
    background-image: url(../img/upucsIconCopy.svg);
}

.upucsIconCut {
    background-image: url(../img/upucsIconCut.svg);
}

.upucsIconPaste {
    background-image: url(../img/upucsIconPaste.svg);
}

.upucsIconRun {
    background-image: url(../img/upucsIconRun.svg);
}

.upucsIconPin {
    background-image: url(../img/upucsIconPin.svg);
}

.upucsIconHome {
    background-image: url(../img/upucsIconHome.svg);
}

.upucsIconMenu {
    background-image: url(../img/upucsIconMenu.svg);
}


.upucsIconSplitWinDouble {
    background-image: url(../img/upucsIconSplitWinDouble.svg);
}

.upucsIconSplitWinRight {
    background-image: url(../img/upucsIconSplitWinRight.svg);
}

.upucsIconSplitWinLeft {
    background-image: url(../img/upucsIconSplitWinLeft.svg);
}

.upucsIconSplitWinSwap {
    background-image: url(../img/upucsIconSplitWinSwap.svg);
}

.upucsIconSettings {
	background-image: url(../img/upucsIconSettings.svg);
}

.upucsIconRunRemote {
    background-image: url(../img/upucsIconRunRemote.svg);
}

.upucsIconSearch {
    background-image: url(../img/upucsIconSearch.svg);
}

.upucsIconReplace {
    background-image: url(../img/upucsIconReplace.svg);
}
	
.upucsIconLogin {
    background-image: url(../img/upucsIconLogin.svg);
}

.upucsIconLogout {
    background-image: url(../img/upucsIconLogout.svg);
}
	
.upucsIconInspect {
    background-image: url(../img/upucsIconInspect.svg);
}
	
.upucsIconJump {
    background-image: url(../img/upucsIconJump.svg);
}

.upucsIconClear {
    background-image: url(../img/upucsIconClear.svg);
}
	
.upucsIconLock {
    background-image: url(../img/upucsIconLock.svg);
}

.upucsIconUnlock {
    background-image: url(../img/upucsIconUnlock.svg);
}
	
.upucsIconComment {
    background-image: url(../img/upucsIconComment.svg);
}
	
.upucsIconConvert {
    background-image: url(../img/upucsIconConvert.svg);
}
	
.upucsIconMp3 {
    background-image: url(../img/upucsIconMp3.svg);
}

.upucsIconNoten {
    background-image: url(../img/upucsIconNoten.svg);
}
	

.upucsIconPdf {
    background-image: url(../img/upucsIconPdf.svg);
}
	
.upucsResizable {
	border: 2px solid darkgray;
	position: relative;
	padding: 8px;
	padding-bottom: 4px;
	background: lightgray;
}

.upucsResizable video { max-width: 100% } 	



.upucs-header-menu nav {
    display: flex;
}


.upucs-header-menu .upucs-menu-container {
    display: inline-block;
    flex-grow: 1;
}

div.upucs-header-menu {
    padding: .4em 0 0 0;
    font-size: .85em;
}

div.upucs-header-menu > nav {
    padding-bottom: .4em;
}


.upucs-splitwindow2 {
	display: flex;
}



.upucs-splitwindow2-nav {
	width: 25%;
	max-width: 25em;
}

.upucs-splitwindow2 .upucs-frame-page {
	width: initial !important;
	flex-grow: 1 !important;
}

.upucs-splitwindow2 .upucs-splitwindow2-nav .upucs-widget-contentlist {
	width: 100%;
	height: 100%;
}


.viewportSmall .upucs-splitwindow2 .upucs-splitwindow2-nav {
	position: absolute !important;
	background: #f6e9d3;
	z-index: 2;
	width: 75%;
	height: 100%;
}
	
.viewportSmall .optionalTextExt {
    display: none;
}

.viewportSmall .optionalTextSmall {
    display: inherit;
}

.optionalTextSmall {
    display: none;
}
